Bug 970573 - [abrt] system-config-samba-1.2.100-1.fc19: polkit.py:120:_enable_proxy:AuthError: The authorization for 'org.fedoraproject.config.samba.configure' could not be obtained.
[abrt] system-config-samba-1.2.100-1.fc19: polkit.py:120:_enable_proxy:AuthEr...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: system-config-samba (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
abrt_hash:c75d56a3bf9f5fc0609f0aff5ee...
:
: 1051878 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-04 07:50 EDT by Herbert Carl Meyer
Modified: 2015-02-17 10:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:27:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (12.92 KB, text/plain)
2013-06-04 07:51 EDT, Herbert Carl Meyer
no flags Details
File: core_backtrace (382 bytes, text/plain)
2013-06-04 07:51 EDT, Herbert Carl Meyer
no flags Details
File: environ (1.58 KB, text/plain)
2013-06-04 07:51 EDT, Herbert Carl Meyer
no flags Details

  None (edit)
Description Herbert Carl Meyer 2013-06-04 07:50:58 EDT
Description of problem:
Tinkering with samba, config has been hand edited. Selinux problems suspected.

Version-Release number of selected component:
system-config-samba-1.2.100-1.fc19

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python /usr/bin/system-config-samba
dso_list:       python-slip-dbus-0.4.0-1.fc19.noarch
executable:     /usr/bin/system-config-samba
kernel:         3.9.4-300.fc19.x86_64
runlevel:       N 5
uid:            1000

Potential duplicate: bug 966967
Comment 1 Herbert Carl Meyer 2013-06-04 07:51:01 EDT
Created attachment 756723 [details]
File: backtrace
Comment 2 Herbert Carl Meyer 2013-06-04 07:51:04 EDT
Created attachment 756724 [details]
File: core_backtrace
Comment 3 Herbert Carl Meyer 2013-06-04 07:51:11 EDT
Created attachment 756725 [details]
File: environ
Comment 4 Björn "besser82" Esser 2013-07-12 07:48:52 EDT
Description of problem:
I was simply using system-config-samba and this happened

Version-Release number of selected component:
system-config-samba-1.2.100-1.fc19

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python /usr/bin/system-config-samba
dso_list:       python-slip-dbus-0.4.0-1.fc19.noarch
executable:     /usr/bin/system-config-samba
kernel:         3.9.9-302.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
polkit.py:120:_enable_proxy:AuthError: The authorization for 'org.fedoraproject.config.samba.configure' could not be obtained.

Traceback (most recent call last):
  File "/usr/share/system-config-samba/mainWindow.py", line 481, in onShareListActivate
    self.showPropertiesDialog()
  File "/usr/share/system-config-samba/mainWindow.py", line 491, in showPropertiesDialog
    self.share_win.showEditWindow(iter, section)
  File "/usr/share/system-config-samba/shareWindow.py", line 199, in showEditWindow
    self.populateUserStoreOnEdit(userList, invalidUsers)
  File "/usr/share/system-config-samba/shareWindow.py", line 99, in populateUserStoreOnEdit
    userList = self.samba_backend.getPasswdFile()
  File "<string>", line 2, in getPasswdFile
  File "/usr/lib/python2.7/site-packages/slip/dbus/polkit.py", line 120, in _enable_proxy
    raise af_exc
AuthError: The authorization for 'org.fedoraproject.config.samba.configure' could not be obtained.

Local variables in innermost frame:
e: DBusException('',)
authfail_exception: <class 'scsamba.exc.AuthError'>
authfail_result: <class 'slip.dbus.polkit.AUTHFAIL_DONTCATCH'>
k: {}
af_exc: AuthError("The authorization for 'org.fedoraproject.config.samba.configure' could not be obtained.",)
p: (<scsamba.dbus.proxy.sambaBackend.SambaBackend object at 0x143be10>,)
func: <function getPasswdFile at 0x14c9230>
exc_name: 'org.fedoraproject.slip.dbus.service.PolKit.NotAuthorizedException.org.fedoraproject.config.samba.configure'
authfail_callback: None
action_id: 'org.fedoraproject.config.samba.configure'
Comment 5 Jaromír Končický 2014-03-19 11:15:57 EDT
*** Bug 1051878 has been marked as a duplicate of this bug. ***
Comment 6 Fedora End Of Life 2015-01-09 13:19:23 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-02-17 10:27:13 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.